﻿using Sirenix.OdinInspector;
using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class QuantumComponent : SerializedMonoBehaviour
{
    public List<List<Data>> list1 = new List<List<Data>>();

    [Serializable]
    public struct Data
    {
        [Required] public Mob mob;

        [HorizontalGroup(" ")] public int mobLevel;
        [HorizontalGroup(" ")] public float delay;

        [HorizontalGroup("  ")] public int quantity;
        [HorizontalGroup("  ")] public float mobsPerSecond;
    }
}
